<a name="menu">目录</a>
1. [用户列表](#businessmenList)
1. [合同审核](#contractAudit)
1. [用户签约](#businessmenSign)


## **<a name="businessmenList"> 用户列表 </a>**
[返回到目录](#menu)
##### URL
[/web/order/businessmenCtl/businessmenList]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

    {
        "currentPage": "1",             
        "pageSize": "10",
        "merchantId": "",               // 商户ID
        "orderNo": "",                  // 订单号
        "status": "",                   // 用户状态
        "name": "",                     // 个体户名称
        "createdBegin": "",             // 创建时间-开始
        "createdEnd": ""                // 创建时间-结束
    }


```

#### 返回结果
```javascript


{
    "status": 0,
    "msg": "success",
    "data": {
        "count": 8,
        "rows": [
            {
                "id": 1,
                "merchant_id": 110269,      // 商户id
                "merchantName":"xxxx",      // 商户名称
                "orderNo": ""               // 订单号
                "channelOrderNo": ""        // 渠道订单号
                "status": ""                // 00 待处理, 05 执照办理中, 10 已出执照, 15 刻章办理中, 20 已刻章, 25 银行开户中, 30 银行已开户, 
                                            // 35 税务报到中, 40 已税务报到, 50 已邮寄, 60 合同待审核, 70 合同审核不通过, 80 合同审核通过, 90 已签约
                "legalName": ""             // 法人姓名
                "legalMobile": ""           // 法人电话
                "name": ""                  // 个体工商户名称
                "creditCode": ""            // 统一社会信用代码
                "businessPlace": ""         // 经营场所
                "businessScope": ""         // 经营范围
                "regDate": ""               // 注册日期
                "businessImg": ""           // 执照照片
                "gongzhang": ""             // 公章
                "caiwuzhang": ""            // 财务章
                "fapiaozhang": ""           // 发票章
                "hetongzhang": ""           // 合同章
                "farenzhang": ""            // 法人章
                "isBank": ""                // 是否开户
                "bankName": ""              // 账户名称
                "bankNo": ""                // 账户号
                "bank": ""                  // 开户行
                "bankImg": ""               // 账户信息
                "caImg": ""                 // CA照片
                "taxRegDay": ""             // 税务登记日
                "taxOrg": ""                // 税务机构名称
                "courierNo": ""             // 快递单号
                "courierImg": ""            // 快递交接单图片
                "addedValueRate": ""        // 增值税率
                "supertaxRate": ""          // 附加税率
                "commonTaxLadder": ""       // 普票个税阶梯
                "commonOtherLadder": ""     // 普票增值税、附加税阶梯
                "specialTaxLadder": ""      // 专票个税阶梯
                "specialOtherLadder": ""    // 专票增值税、附加税阶梯
                "contract": ""              // 个体户合同
                "contractStartData": ""     // 合同开始时间
                "contractEndData": ""       // 合同结束时间
                "notes": ""                 // 备注
                "opNotes": ""               // 操作备注
                "created_at": "",           // 创建时间
            }
        ]
    }
}


```


1. [用户签约](#businessmenSign)

## **<a name="contractAudit"> 合同审核 </a>**
[返回到目录](#menu)
##### URL
[/web/order/businessmenCtl/contractAudit]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript
{
  "id": "14",               // 个体工商户id
  "notes": "xxxxx",         // 审核备注，驳回时候必填
  "status": "2"             // 审核状态 1通过 2驳回
}

```

#### 返回结果
```javascript

{
    "status": 0,
    "msg": "success",
}

```



## **<a name="businessmenSign"> 用户签约 </a>**
[返回到目录](#menu)
##### URL
[/web/order/businessmenCtl/businessmenSign]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

    {
        "id": "1",
        "commonTaxLadder": "[{\"minValue\": 0, \"rate\": \"0\", \"maxValue\": 3000000 }]",
        "commonOtherLadder": "[{\"minValue\": 0, \"rate\": \"0\", \"maxValue\": 3000000 }]",
        "specialTaxLadder": "[{\"minValue\": 0, \"rate\": \"0\", \"maxValue\": 3000000 }]",
        "specialOtherLadder": "[{\"minValue\": 0, \"rate\": \"0\", \"maxValue\": 3000000 }]"
    }

```

#### 返回结果
```javascript


{
    "status": 0,
    "msg": "success",
}


```
